Copyright: Copyright © 1996 Global Majic Software, Inc.
Citation: Copyright © 1996 Global Majic Software, Inc.


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


AutoSize
AUTOSIZE PROPERTY

Description

Enables the control to automatically size itself to fit its contents.

Usage

[form.]control.AutoSize[ = {TRUE|FALSE} ]

Setting

The AutoSize property settings are:

Setting	Description

TRUE	Automatically sizes itself to fit its contents.

FALSE	Allows the width and height of the control to be set manually.

Data Type

Integer (Boolean)


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow styles of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

The property settings are:

Setting	Description

0	None

1	Raised

2	Inset

Remarks

These properties have no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BlinkMode
BLINKMODE PROPERTY

Description

Determines how the toggle control blinks.

Usage

[form.]control.BlinkMode[ = integer ]

Setting

The BlinkMode property settings are:

Setting	Description

0 (Never)	The toggle switch never blinks.

1 (Always)	The toggle switch always blinks.

2 (When On)	The toggle switch blinks only when the switch is ON.

3 (When Off)	The toggle switch blinks only when the switch is OFF.

Remarks

This property has no affect when BlinkRate=0.

Related Property

BlinkRate

Data Type

Integer (Enumerated)


BlinkRate
BLINKRATE PROPERTY

Description

Determines the rate (in milliseconds) at which the control blinks.

Usage

[form.]control.BlinkRate[ = integer ]

Remarks

When the BlinkRate=0, the control will not blink.

Related Property

BlinkMode

Data Type

Integer


BorderWidth
BORDERWIDTH PROPERTY

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Contents

Global Majic Software, Inc.

Toggle Switch Control

Properties	Events	Product Support	Copyright

Description:

The Toggle Switch control is a TRUE/FALSE, YES/NO or ON/OFF indicator.  The control displays captions or pictures to represent the toggle state depending on the control's value.  The control is capable of playing wave files (*.wav) to indicate the switch turning ON and/or OFF.  It includes bevels for a 3D appearance and blinking capability to draw attention to the control.  It also has a built in timed shut-off capability.

Remarks:

Wave files (*.wav) used with the control will not be stored in the control as the bitmap files are, therefore, all wave files need to accompany your application when distributed.

Windows has a limited number of timer handles available so be careful when using several timers and blinking controls on a single form.


Events
Events:

Click

DragDrop

GotFocus

LostFocus

MouseDown

MouseMove

MouseUp


MouseControl
MOUSECONTROL PROPERTY

Description

Enables or disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting	Description

True	Allows the control's Value to be modified with mouse input.

False	Disables mouse input to the control.

Data Type

Integer (Boolean)


OffBackColor
OFFBACKCOLOR PROPERTY

OFFFORECOLOR PROPERTY

ONBACKCOLOR PROPERTY

ONFORECOLOR PROPERTY

Description

Determines the background or foreground color of the control in its ON (Value=TRUE) or OFF (Value=FALSE) states.

Usage

[form.]control.OffBackColor[ = color ]

[form.]control.OffForeColor[ = color ]

[form.]control.OnBackColor[ = color ]

[form.]control.OnForeColor[ = color ]

Remarks

These properties can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


OffCaption
OFFCAPTION PROPERTY

ONCAPTION PROPERTY

Description

Determines the text displayed on the control in its ON (Value=TRUE) or OFF (Value=FALSE) states.

Usage

[form.]control.OffCaption[ = string ]

[form.]control.OnCaption[ = string ]

Remarks

The default settings for these properties are "Off" and "On", respectively.

Data Type

String


OffPicture
OFFPICTURE PROPERTY

ONPICTURE PROPERTY

Description

Determines the graphic to be displayed in the control's ON (Value=TRUE) or OFF (Value=FALSE) states.

Usage

[form.]control.OffPicture[ = picture ]

[form.]control.OnPicture[ = picture ]

Setting

These properties settings are:

Setting 	Description

(none)	No picture is displayed.

(bitmap)	At design-time, specify the bitmap file name to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.  When AutoSize=FALSE, the picture is stretched to fit the control's dimensions.  Set AutoSize=TRUE to display the picture in its full size.

Data Type

Picture


OffWave
OFFWAVE PROPERTY

ONWAVE PROPERTY

Description

Determines the wave file (*.wav) to be played in the control's ON (Value=TRUE) or OFF (Value=FALSE) states.

Usage

[form.]control.OffWave[ = filename ]

[form.]control.OnWave[ = filename ]

Remarks

When setting the wave file at design-time, the wave file will NOT be saved with the form or compiled into the executable.  Wave files need to accompany the executable.  All sounds from the control can be disabled by setting Sound=FALSE.

Data Type

String


OffX
OFFX PROPERTY

OFFY PROPERTY

ONX PROPERTY

ONY PROPERTY

Description

Defines the horizontal or vertical offset (in pixels) of the caption from the center of the control for both the ON (Value=TRUE) or OFF (Value=FALSE) states.  These properties only apply when OffPicture or OnPicture are not defined.

Usage

[form.]control.OffX[ = integer ]

[form.]control.OffY[ = integer ]

[form.]control.OnX[ = integer ]

[form.]control.OnY[ = integer ]

Remarks

The default setting for these properties is 0.

Data Type

Integer


OnTimer
ONTIMER PROPERTY

Description

Determines how long (in milliseconds) the toggle control will remain ON (Value=TRUE).

Usage

[form.]control.OnTimer[ = integer ]

Remarks

When OnTimer = 0, the toggle control will NOT automatically turn itself OFF (Value=FALSE).

Data Type

Integer


Outline
OUTLINE PROPERTY

Description

Enables or disables an outline (with color OutlineColor) to be painted around the border of the control.

Usage

[form.]control.Outline[ = {TRUE|FALSE} ]

Setting

The Outline property settings are:

Setting	Description

TRUE	Outline is painted.

FALSE	Outline is not painted.

Related Property

OutlineColor

Data Type

Integer.(Boolean)


OutlineColor
OUTLINECOLOR PROPERTY

Description

Determines the Outline color of the control.

Usage

[form.]control.OutlineColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Property

Outline

Data Type

Long


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

AutoSize	Left	OnX
BackColor	MouseControl	OnY
BevelInner	MousePointer	Outline
BevelOuter	Name	OutlineColor
BevelWidth	OffBackColor	PushPicture
BlinkMode	OffCaption	PushX
BlinkRate	OffForeColor	PushY
BorderWidth	OffPicture	Sound
Enabled	OffWave	TabIndex
FontBold	OffX	TabStop
FontItalic	OffY	Tag
FontName	OnBackColor	Top
FontSize	OnCaption	TwoState
FontStrike	OnForeColor	Value
FontUnder	OnPicture	Visible
Height	OnTimer	Width
Index	OnWave


PushPicture
PUSHPICTURE PROPERTY

Description

Determines the graphic to be displayed when the control's Value=FALSE.

Usage

[form.]control.PushPicture[ = picture ]

Setting

The PushPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design-time, specify the bitmap file name to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Data Type

Picture


PushX
PUSHX PROPERTY

PUSHY PROPERTY

Description

Defines the horizontal or vertical offset (in pixels) of the OnCaption or OffCaption from the center of the control while the left mouse button is pressed.  This property only applies when OnPicture or OffPicture is not defined.

Usage

[form.]control.PushX[ = integer ]

[form.]control.PushY[ = integer ]

Remarks

The default setting for this property is 0.

Data Type

Integer


Sound
SOUND PROPERTY

Description

Enables or disables the control's ability to play wave files (*.wav) when its Value is changed.

Usage

[form.]control.Sound[ = {TRUE|FALSE} ]

Setting

The Sound property settings are:

Setting 	Description

TRUE	Enables the control to play wave files.

FALSE	Disables the control from playing wave files.

Data Type

Integer (Boolean)


TwoState
TWOSTATE PROPERTY

Description

Determines the bevel display mode of the control.  When enabled, this property allows the toggle to behave as a two-state button.

Usage

[form.]control.TwoState[ = {TRUE|FALSE} ]

Setting

The TwoState property settings are:

Setting	Description

TRUE	Bevels swap defined raised or inset states depending on the control's Value.

FALSE	Bevels always remain in defined raised or inset states regardless of the control's Value.

Data Type

Integer.(Boolean)


Value
VALUE PROPERTY

Description

Sets or returns the control's displayed value.

Usage

[form.]control.Value[ = {TRUE|FALSE} ]

Remarks

OnPicture is displayed when the control's Value=TRUE and OffPicture is displayed when the control's Value=FALSE.  Additionally, when the control's Value is changed, the OffWave or OnWave depending on the Value.

Data Type

Integer (Boolean)


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.